import { SocketAdapterEvent } from "./socket-adpater.interface";
import { Observable } from "rxjs";
/**
 *
 */
export interface ClientAdapterInterface {
    remoteAddress(): string | undefined;
    remotePort(): number | undefined;
    getClientName(): string;
    ready(): Promise<any>;
    close(): void;
    write(data: any): void;
    isWritable(): boolean;
    events(): Observable<SocketAdapterEvent>;
}
